Swaption::arguments Class Reference

Arguments for swaption calculation More...

`#include <ql/instruments/swaption.hpp>`

Inheritance diagram for Swaption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from VanillaSwap::arguments
void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

boost::shared_ptr< VanillaSwap > | swap
Settlement::Type | settlementType
Public Attributes inherited from VanillaSwap::arguments
Type | type
Real | nominal
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Time > | floatingAccrualTimes
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Real > | fixedCoupons
std::vector< Spread > | floatingSpreads
std::vector< Real > | floatingCoupons
Public Attributes inherited from Option::arguments
boost::shared_ptr< Payoff > | payoff
boost::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for swaption calculation